#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "InventorySlotData.h"
#include "ELoadoutSlot.h"
#include "LoadoutManager.generated.h"

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API ULoadoutManager : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<FInventorySlotData> _inventoryData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<FInventorySlotData> _filteredInventoryData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TMap<ELoadoutSlot, FString> _searchArgs;

public:
	ULoadoutManager();
};

FORCEINLINE uint32 GetTypeHash(const ULoadoutManager) { return 0; }
